#pragma once

#include "CoreMinimal.h"
#include "CurseAbilityAction.h"
#include "PostAkEventCurseAbilityAction.generated.h"

class UAkAudioEvent;

UCLASS(Blueprintable, EditInlineNew)
class DBDKILLERABILITIES_API UPostAkEventCurseAbilityAction : public UCurseAbilityAction
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	UAkAudioEvent* _akEventToTrigger;

public:
	UPostAkEventCurseAbilityAction();
};

FORCEINLINE uint32 GetTypeHash(const UPostAkEventCurseAbilityAction) { return 0; }
